/* example interrupt control */
/*
#define WinAMS_SPMC_DI	_WinAMS_SPMC_DI()
inline void _WinAMS_SPMC_DI()
{
	__asm("	di\n");
}

#define WinAMS_SPMC_EI	_WinAMS_SPMC_EI()
inline void _WinAMS_SPMC_EI()
{
	__asm("	ei\n");
}
*/

/* inport interrupt control */


/* The maximum nuber of the condition to measure coverage */
#define WINAMS_SPMC_MCDC_MAXCONDCNT	127	/* 255 or 511 can expand it */

/* The number if the greatest nests measuring coverage */
#define WINAMS_SPMC_MCDC_MAXCONDNEST	32	/* 64 or 128 can expand it */

/* yReferencezAdd :This declares the function parameters as const(for winAMS_Spmc.h) */
/* yReferencezAdd :If this does not solve the issue, try to not add const(SW_WinAMS_SPMC_const_funcname 0) */
#define SW_WinAMS_SPMC_const_funcname 1

#if SW_WinAMS_SPMC_const_funcname
#define WinAMS_SPMC_const_funcname 1
#endif

/* A user defines the type of the string of the function name */
/* yReferencezMod : Change WINAMS_SPMC_USR_DEF_TFUNCNAME from 0 to 1*/
#define WINAMS_SPMC_USR_DEF_TFUNCNAME 1		/* 0:not define, 1:define */
#if WINAMS_SPMC_USR_DEF_TFUNCNAME

/* example */
/* yReferencezMod :Change WinAMS_SPMC_BASE_TFUNCNAME from char to char __far*/
//#define WinAMS_SPMC_BASE_TFUNCNAME char			/* base type=char */
/* #define WinAMS_SPMC_BASE_TFUNCNAME signed char */	/* base type=signed char */
/* #define WinAMS_SPMC_BASE_TFUNCNAME unsigned char */	/* base type=unsigned char */
#define WinAMS_SPMC_BASE_TFUNCNAME char __far	/* base type=char __far */

/* yReferencezMod : Change fname to match with the ROM Mirroring feature (add 0xFF)*/
//#define WinAMS_SPMC_CVT_FUNCNAME(fname)	(fname)		/* funcname pointer convert */
#define WinAMS_SPMC_CVT_FUNCNAME(fname)	((WinAMS_SPMC_TFUNCNAME)((unsigned long)(fname) | 0xff0000))		/* funcname pointer convert */
#endif /* WINAMS_SPMC_USR_DEF_TFUNCNAME */
